/* This file is part of the KDE project
   Copyright (C) 2006 Thorsten Zachmann <zachmann@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
*/
#ifndef TESTPATHSHAPE_H
#define TESTPATHSHAPE_H

#include <QObject>

class TestPathShape : public QObject

{
    Q_OBJECT
private Q_SLOTS:
    void close();
    void moveTo();
    void normalize();

    void pathPointIndex();
    void pointByIndex();
    void segmentByIndex();
    void pointCount();
    void subpathPointCount();
    void isClosedSubpath();
    void insertPoint();
    void removePoint();
    void splitAfter();
    void join();
    void moveSubpath();
    void openSubpath();
    void closeSubpath();
    void openCloseSubpath();
    void reverseSubpath();
    void removeSubpath();
    void addSubpath();
    void closeMerge();

    void koPathPointDataLess();
};

#endif // TESTPATHSHAPE_H
